
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'acorns-rds-auth/version'

Gem::Specification.new do |spec|
  spec.name          = 'acorns-rds-auth'
  spec.version       = AcornsRdsAuth::VERSION
  spec.authors       = ['Mitch Dempsey']
  spec.email         = ['mitch@acorns.com']

  spec.summary       = 'Get RDS Auth'
  spec.description   = "Get credentials for acorns"
  spec.homepage      = 'https://github.com/Acornsgrow/acorns-rds-auth-gem'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'aws-sdk-core', '~> 3.0'
  # spec.add_dependency 'tty-prompt'
  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rspec_junit_formatter', '~> 0.3', '>= 0.3.0'
  spec.add_development_dependency 'simplecov', '~> 0.13.0', '>= 0.13.0'
end